load(file = "./101multiOmic_subtype.RData")
library(limma)
library(RColorBrewer)
pal.subtype <- brewer.pal(4, "Set1")
pal.path <- brewer.pal(5, "Paired")
pal.tissue <- brewer.pal(7, "Set2")


info.Abida2019$subtype_anno <- NA
info.Abida2019$subtype_anno[which(info.Abida2019$subtype_num =="subtype1")] <- "Basal"
info.Abida2019$subtype_anno[which(info.Abida2019$subtype_num =="subtype2")] <- "HRR"
info.Abida2019$subtype_anno[which(info.Abida2019$subtype_num =="subtype3")] <- "NE"
info.Abida2019$subtype_anno[which(info.Abida2019$subtype_num =="subtype4")] <- "Luminal"
table(info.Abida2019$Sample.Type, info.Abida2019$subtype_anno )
write.csv(table(info.Abida2019$Sample.Type, info.Abida2019$subtype_anno ), 
          file = "./TissueVsSubtype.csv", row.names = T)


#tissue gene
tissue.gene <- c("ALB", "HP", "CAT")

tmp <- as.data.frame( t(eSet[tissue.gene,]))
tmp$subtype <- info.Abida2019$subtype_anno
tmp$loc <- info.Abida2019$Sample.Type
boxplot(tmp$ALB ~ tmp$subtype, col = pal.subtype)
boxplot(tmp$ALB ~ tmp$loc, col = pal.tissue)
boxplot(tmp$HP ~ tmp$subtype, col = pal.subtype)
boxplot(tmp$HP ~ tmp$loc, col = pal.tissue)
boxplot(tmp$CAT ~ tmp$subtype, col = pal.subtype)
boxplot(tmp$CAT ~ tmp$loc, col = pal.tissue)

boxplot(ALB ~ subtype, data =  tmp[which(tmp$loc == "Liver"),], col = pal.subtype )
boxplot(HP ~ subtype, data =  tmp[which(tmp$loc == "Liver"),], col = pal.subtype )
boxplot(CAT ~ subtype, data =  tmp[which(tmp$loc == "Bone"),], col = pal.subtype )

pdf("./plots/102Boxplot_NE_HRR_tissue.pdf", width = 7, height = 7)
boxplot(CAT ~ loc, data =  tmp[which(tmp$subtype == "HRR"),], col = pal.tissue, main = "HRR mCRPC" )
boxplot(ALB ~ loc, data =  tmp[which(tmp$subtype == "NE"),], col = pal.tissue, main = "NE mCRPC"  )
boxplot(HP ~ loc, data =  tmp[which(tmp$subtype == "NE"),], col = pal.tissue, main = "NE mCRPC"  )
dev.off()
