load(file = "./101multiOmic_subtype.RData")
library(limma)
library(RColorBrewer)
pal.subtype <- brewer.pal(4, "Set1")
pal.path <- brewer.pal(5, "Paired")
pal.tissue <- brewer.pal(7, "Set2")


library(MCPcounter)
#ExampleEstimates=MCPcounter.estimate(MCPcounterExampleData,featuresType="affy133P2_probesets")
MCP.out <- MCPcounter.estimate(eSet,featuresType="HUGO_symbols")
MCP.out <- as.matrix(MCP.out)
rownames(MCP.out)
info.Abida2019 <- cbind(info.Abida2019, as.data.frame(t(MCP.out)))


tmp <- info.Abida2019[which(info.Abida2019$subtype =="subtype4"),]
pdf("./plots/104Boxplot_MPcount_HRR.pdf", width = 6, height = 6)
boxplot(tmp$`T cells` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`CD8 T cells` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`Cytotoxic lymphocytes` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`B lineage` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`NK cells` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`Monocytic lineage` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`Myeloid dendritic cells` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$Neutrophils ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
boxplot(tmp$`Endothelial cells` ~ tmp$Sample.Type, col = pal.tissue, main = "Luminal mCRPC")
dev.off()
